
Katello - Bug #6203

some hammer repo commands dont take product id or information

06/12/2014 07:30 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108905 Red Hat JIRA:  

Pull request:    

Description

The following commands do not take product id or name

hammer repository info

hammer repository synchronize

hammer repository update

hammer repository delete

Just using the repo name and org id is not enough for repositories since they are unique only inside a product scope.

i.e. katello allows for repo "foo" under both Product A & B .

So if you ask for

hammer repository info --name="foo" --organization-id=1, it wouldn't know which "foo" we are referring to. Basically renders the

--name option worthless.

Related issues:

Has duplicate Katello - Bug #6196: some hammer repo commands dont take produc... Duplicate 06/12/2014

Associated revisions

Revision dd1deebf - 06/25/2014 07:12 PM - Adam Price 

fixes #6203 - hammer repo cmds require name scoped to product, BZ 1108905

Revision 0974f78c - 06/26/2014 05:22 PM - Adam Price 

Merge pull request #197 from komidore64/bz1108905-hammer-repo-require-product

fixes #6203 - hammer repo cmds require name scoped to product, BZ 1108905

History

#1 - 06/12/2014 07:31 PM - Partha Aji

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1108905

#2 - 06/19/2014 12:53 PM - Eric Helms

- Category set to Hammer

- Target version set to 48

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 06/26/2014 06:06 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:dd1deebfa62a27b5592d17f7397ec9eb862a4859.

#4 - 08/22/2014 08:34 AM - Eric Helms
- translation missing: en.field_release set to 13

#5 - 01/31/2016 01:41 PM - Eric Helms

- Has duplicate Bug #6196: some hammer repo commands dont take product id or information added
